%global momorel 7

Summary: A Compact Disc Digital Audio (CDDA) extraction tool.
Name: cdparanoia
Version: alpha9.8
Release: %{momorel}m
License: GPL
Group: Applications/Multimedia
Source: http://www.xiph.org/paranoia/download/%{name}-III-%{version}.src.tgz
NoSource: 0
Patch0: cdparanoia-III-alpha9.8-gcc34.patch
URL: http://www.xiph.org/paranoia/ 
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: cdparanoia-III


%description
Cdparanoia (Paranoia III) reads digital audio directly from a CD, then
writes the data to a file or pipe in WAV, AIFC or raw 16 bit linear
PCM format.  Cdparanoia's strength lies in its ability to handle a
variety of hardware, including inexpensive drives prone to
misalignment, frame jitter and loss of streaming during atomic reads.
Cdparanoia is also good at reading and repairing data from damaged
CDs.

%package devel
Summary: A Compact Disc Digital Audio (CDDA) extraction tool. lib & header.
Group: System Environment/Libraries
Requires: %name = %version

%description devel
A Compact Disc Digital Audio (CDDA) extraction tool. lib & header.

%prep
%setup -q -n %{name}-III-%{version}
%patch0 -p1 -b .gcc34~

%build
rm -rf %{buildroot}
%configure
make  

%install
rm -rf %{buildroot}
#make install prefix=%{buildroot}/usr MANDIR=%{buildroot}%{_mandir}
%makeinstall BINDIR=%{buildroot}%{_bindir} MANDIR=%{buildroot}%{_mandir} \
	INCLUDEDIR=%{buildroot}%{_includedir} LIBDIR=%{buildroot}%{_libdir}

%clean
rm -rf %{buildroot}

%changelog
* Sun Feb  6 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (alpha9.8-7m)
- enable x86_64.

* Tue Oct 19 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (alpha9.8-6m)
- add Patch0: cdparanoia-III-alpha9.8-gcc34.patch
  reported by Hiromasa YOSHIMOTO [Momonga-devel.ja:02823] 

* Wed Nov  5 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (alpha9.8-5m)
- use %%{momorel}

* Fri Jun 22 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (alpha9.8-2k)
  update to alpha9.8

* Fri Dec  1 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (alpha9.7-10k)
- modified to use %{_mandir} macro

* Tue Aug 22 2000 Kenichi Matsubara <m@kondara.org>
- Change PATH (FHS)

* Sat Jul  8 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Wed Mar 1 2000 Masako Hattori <maru@kondara.org>
- change jman mv->cp

* Wed Feb 23 2000 Masako Hattori <maru@kondara.org>
- do not shake %{_mandir}/ja

* Mon Jan 31 2000 Masako Hattori <maru@kondara.org>
- add man-pages-ja-cdparanoia-20000115

* Sun Nov 28 1999 Masako Hattori <maru@kondara.org>
- add man-pages-ja-cdparanoia-19991115

* Mon Nov 8 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Fri Aug 20 1999 Preston Brown <pbrown@redhat.com>
- updated to 9.6, and added to base distribution
- changed name to just cdparanoia, obsoleting old -III suffix

* Sat Jul 10 1999 Tim Powers <timp@redhat.com>
- updated package to cdparanoia-III-alpha9.5

* Mon Apr 12 1999 Michael Maher <mike@redhat.com>
- updated pacakge

* Tue Oct 06 1998 Michael Maher <mike@redhat.com>
- updated package

* Mon Jun 29 1998 Michael Maher <mike@redhat.com>
- built package

%files
%defattr(-,root,root)
%doc README GPL
%{_bindir}/cdparanoia
%{_libdir}/lib*.so.*
%{_mandir}/man1/cdparanoia.1*

%files devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_libdir}/lib*a
%{_includedir}/*
